package Jgun.CafeFinder.org.mixare;

import Jgun.CafeFinder.org.mixare.data.Json;
import Jgun.CafeFinder.org.mixare.data.XMLHandler;
import android.util.Log;
import dalvik.annotation.Signature;
import java.io.InputStream;
import java.io.StringReader;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Set;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import org.json.JSONException;
import org.json.JSONObject;
import org.w3c.dom.Document;
import org.xml.sax.InputSource;

public class DownloadManager
  implements Runnable
{
  public static int CONNECTED;
  public static int CONNECTING;
  public static int NOT_STARTED = 0;
  public static int PAUSED;
  public static int STOPPED;
  MixContext ctx;
  private String currJobId;

  @Signature({"Ljava/util/HashMap", "<", "Ljava/lang/String;", "LJgun/CafeFinder/org/mixare/DownloadResult;", ">;"})
  private HashMap doneList;
  private int id;
  InputStream is;
  private boolean pause = 0;
  private boolean proceed = 0;
  private int state;
  private boolean stop = 0;

  @Signature({"Ljava/util/HashMap", "<", "Ljava/lang/String;", "LJgun/CafeFinder/org/mixare/DownloadRequest;", ">;"})
  private HashMap todoList;

  static
  {
    CONNECTING = 1;
    CONNECTED = 2;
    PAUSED = 3;
    STOPPED = 4;
  }

  public DownloadManager(MixContext paramMixContext)
  {
    int i = NOT_STARTED;
    this.state = i;
    this.id = 0;
    HashMap localHashMap1 = new HashMap();
    this.todoList = localHashMap1;
    HashMap localHashMap2 = new HashMap();
    this.doneList = localHashMap2;
    this.currJobId = null;
    this.ctx = paramMixContext;
  }

  private String getNextReqId()
  {
    return (String)this.todoList.keySet().iterator().next();
  }

  private DownloadResult processRequest(DownloadRequest paramDownloadRequest)
  {
    DownloadResult localDownloadResult = new DownloadResult();
    while (true)
    {
      try
      {
        MixContext localMixContext1 = this.ctx;
        String str1 = paramDownloadRequest.url;
        if (localMixContext1.getHttpGETInputStream(str1) == null)
          continue;
        MixContext localMixContext2 = this.ctx;
        String str2 = paramDownloadRequest.url;
        InputStream localInputStream1 = localMixContext2.getHttpGETInputStream(str2);
        this.is = localInputStream1;
        MixContext localMixContext3 = this.ctx;
        InputStream localInputStream2 = this.is;
        String str3 = localMixContext3.getHttpInputString(localInputStream2);
        Json localJson = new Json();
        try
        {
          Log.d("Mixare", "try to load JSON data");
          JSONObject localJSONObject = new JSONObject(str3);
          Log.i("Mixare", "loading JSON data");
          localJson.load(localJSONObject);
          localDownloadResult.obj = localJson;
          int i = paramDownloadRequest.format;
          localDownloadResult.format = i;
          localDownloadResult.error = 0;
          localDownloadResult.errorMsg = null;
          MixContext localMixContext4 = this.ctx;
          InputStream localInputStream3 = this.is;
          localMixContext4.returnHttpInputStream(localInputStream3);
          this.is = null;
          this.currJobId = null;
          return localDownloadResult;
        }
        catch (JSONException localJSONException)
        {
          Log.d("Mixare", "no JSON data");
          Log.d("Mixare", "try to load XML data");
          DocumentBuilder localDocumentBuilder = DocumentBuilderFactory.newInstance().newDocumentBuilder();
          StringReader localStringReader = new StringReader(str3);
          InputSource localInputSource = new InputSource(localStringReader);
          Document localDocument = localDocumentBuilder.parse(localInputSource);
          XMLHandler localXMLHandler = new XMLHandler();
          Log.i("Mixare", "loading XML data");
          localXMLHandler.load(localDocument);
          localDownloadResult.obj = localXMLHandler;
          int j = paramDownloadRequest.format;
          localDownloadResult.format = j;
          localDownloadResult.error = 0;
          localDownloadResult.errorMsg = null;
          continue;
        }
      }
      catch (Exception localException1)
      {
        localDownloadResult.obj = null;
        localDownloadResult.error = 1;
        String str4 = localException1.getMessage();
        localDownloadResult.errorMsg = str4;
        localDownloadResult.errorRequest = paramDownloadRequest;
      }
      try
      {
        MixContext localMixContext5 = this.ctx;
        InputStream localInputStream4 = this.is;
        localMixContext5.returnHttpInputStream(localInputStream4);
        label342: localException1.printStackTrace();
      }
      catch (Exception localException2)
      {
        break label342;
      }
    }
  }

  private void sleep(long paramLong)
  {
    try
    {
      Thread.sleep(paramLong);
      label4: return;
    }
    catch (InterruptedException localInterruptedException)
    {
      break label4;
    }
  }

  public int checkForConnection()
  {
    return this.state;
  }

  public String getActiveReqId()
  {
    return this.currJobId;
  }

  /** @deprecated */
  public DownloadResult getReqResult(String paramString)
  {
    monitorenter;
    try
    {
      DownloadResult localDownloadResult = (DownloadResult)this.doneList.get(paramString);
      this.doneList.remove(paramString);
      monitorexit;
      return localDownloadResult;
    }
    finally
    {
      localObject = finally;
      monitorexit;
    }
    throw localObject;
  }

  /** @deprecated */
  public boolean isReqComplete(String paramString)
  {
    monitorenter;
    try
    {
      boolean bool = this.doneList.containsKey(paramString);
      monitorexit;
      return bool;
    }
    finally
    {
      localObject = finally;
      monitorexit;
    }
    throw localObject;
  }

  public void pause()
  {
    this.pause = 1;
  }

  /** @deprecated */
  public void purgeLists()
  {
    monitorenter;
    try
    {
      this.todoList.clear();
      this.doneList.clear();
      monitorexit;
      return;
    }
    finally
    {
      localObject = finally;
      monitorexit;
    }
    throw localObject;
  }

  public void restart()
  {
    this.pause = 0;
  }

  // ERROR //
  public void run()
  {
    // Byte code:
    //   0: aload_0
    //   1: ldc 52
    //   3: putfield 54	Jgun/CafeFinder/org/mixare/DownloadManager:stop	Z
    //   6: aload_0
    //   7: ldc 52
    //   9: putfield 56	Jgun/CafeFinder/org/mixare/DownloadManager:pause	Z
    //   12: aload_0
    //   13: ldc 52
    //   15: putfield 58	Jgun/CafeFinder/org/mixare/DownloadManager:proceed	Z
    //   18: getstatic 41	Jgun/CafeFinder/org/mixare/DownloadManager:CONNECTING	I
    //   21: istore_1
    //   22: aload_0
    //   23: iload_1
    //   24: putfield 60	Jgun/CafeFinder/org/mixare/DownloadManager:state	I
    //   27: aload_0
    //   28: getfield 54	Jgun/CafeFinder/org/mixare/DownloadManager:stop	Z
    //   31: ifeq +13 -> 44
    //   34: getstatic 47	Jgun/CafeFinder/org/mixare/DownloadManager:STOPPED	I
    //   37: istore_2
    //   38: aload_0
    //   39: iload_2
    //   40: putfield 60	Jgun/CafeFinder/org/mixare/DownloadManager:state	I
    //   43: return
    //   44: aconst_null
    //   45: astore_3
    //   46: aconst_null
    //   47: astore 4
    //   49: aload_0
    //   50: getfield 54	Jgun/CafeFinder/org/mixare/DownloadManager:stop	Z
    //   53: ifne +10 -> 63
    //   56: aload_0
    //   57: getfield 56	Jgun/CafeFinder/org/mixare/DownloadManager:pause	Z
    //   60: ifeq +31 -> 91
    //   63: aload_0
    //   64: getfield 54	Jgun/CafeFinder/org/mixare/DownloadManager:stop	Z
    //   67: ifne +10 -> 77
    //   70: aload_0
    //   71: getfield 56	Jgun/CafeFinder/org/mixare/DownloadManager:pause	Z
    //   74: ifne +165 -> 239
    //   77: getstatic 41	Jgun/CafeFinder/org/mixare/DownloadManager:CONNECTING	I
    //   80: istore 5
    //   82: aload_0
    //   83: iload 5
    //   85: putfield 60	Jgun/CafeFinder/org/mixare/DownloadManager:state	I
    //   88: goto -61 -> 27
    //   91: aload_0
    //   92: monitorenter
    //   93: aload_0
    //   94: getfield 67	Jgun/CafeFinder/org/mixare/DownloadManager:todoList	Ljava/util/HashMap;
    //   97: invokevirtual 245	java/util/HashMap:size	()I
    //   100: ifle +27 -> 127
    //   103: aload_0
    //   104: invokespecial 247	Jgun/CafeFinder/org/mixare/DownloadManager:getNextReqId	()Ljava/lang/String;
    //   107: astore_3
    //   108: aload_0
    //   109: getfield 67	Jgun/CafeFinder/org/mixare/DownloadManager:todoList	Ljava/util/HashMap;
    //   112: aload_3
    //   113: invokevirtual 227	java/util/HashMap:get	(Ljava/lang/Object;)Ljava/lang/Object;
    //   116: checkcast 104	Jgun/CafeFinder/org/mixare/DownloadRequest
    //   119: astore 4
    //   121: aload_0
    //   122: ldc 201
    //   124: putfield 58	Jgun/CafeFinder/org/mixare/DownloadManager:proceed	Z
    //   127: aload_0
    //   128: monitorexit
    //   129: aload_0
    //   130: getfield 58	Jgun/CafeFinder/org/mixare/DownloadManager:proceed	Z
    //   133: ifeq +57 -> 190
    //   136: getstatic 43	Jgun/CafeFinder/org/mixare/DownloadManager:CONNECTED	I
    //   139: istore 6
    //   141: aload_0
    //   142: iload 6
    //   144: putfield 60	Jgun/CafeFinder/org/mixare/DownloadManager:state	I
    //   147: aload_0
    //   148: aload_3
    //   149: putfield 71	Jgun/CafeFinder/org/mixare/DownloadManager:currJobId	Ljava/lang/String;
    //   152: aload_0
    //   153: aload 4
    //   155: invokespecial 249	Jgun/CafeFinder/org/mixare/DownloadManager:processRequest	(LJgun/CafeFinder/org/mixare/DownloadRequest;)LJgun/CafeFinder/org/mixare/DownloadResult;
    //   158: astore 7
    //   160: aload_0
    //   161: monitorenter
    //   162: aload_0
    //   163: getfield 67	Jgun/CafeFinder/org/mixare/DownloadManager:todoList	Ljava/util/HashMap;
    //   166: aload_3
    //   167: invokevirtual 230	java/util/HashMap:remove	(Ljava/lang/Object;)Ljava/lang/Object;
    //   170: pop
    //   171: aload_0
    //   172: getfield 69	Jgun/CafeFinder/org/mixare/DownloadManager:doneList	Ljava/util/HashMap;
    //   175: aload_3
    //   176: aload 7
    //   178: invokevirtual 253	java/util/HashMap:put	(Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;
    //   181: pop
    //   182: aload_0
    //   183: ldc 52
    //   185: putfield 58	Jgun/CafeFinder/org/mixare/DownloadManager:proceed	Z
    //   188: aload_0
    //   189: monitorexit
    //   190: getstatic 41	Jgun/CafeFinder/org/mixare/DownloadManager:CONNECTING	I
    //   193: istore 8
    //   195: aload_0
    //   196: iload 8
    //   198: putfield 60	Jgun/CafeFinder/org/mixare/DownloadManager:state	I
    //   201: aload_0
    //   202: getfield 54	Jgun/CafeFinder/org/mixare/DownloadManager:stop	Z
    //   205: ifne -156 -> 49
    //   208: aload_0
    //   209: getfield 56	Jgun/CafeFinder/org/mixare/DownloadManager:pause	Z
    //   212: ifne -163 -> 49
    //   215: aload_0
    //   216: ldc2_w 254
    //   219: invokespecial 256	Jgun/CafeFinder/org/mixare/DownloadManager:sleep	(J)V
    //   222: goto -173 -> 49
    //   225: astore 9
    //   227: aload_0
    //   228: monitorexit
    //   229: aload 9
    //   231: athrow
    //   232: astore 9
    //   234: aload_0
    //   235: monitorexit
    //   236: aload 9
    //   238: athrow
    //   239: getstatic 45	Jgun/CafeFinder/org/mixare/DownloadManager:PAUSED	I
    //   242: istore 10
    //   244: aload_0
    //   245: iload 10
    //   247: putfield 60	Jgun/CafeFinder/org/mixare/DownloadManager:state	I
    //   250: aload_0
    //   251: ldc2_w 254
    //   254: invokespecial 256	Jgun/CafeFinder/org/mixare/DownloadManager:sleep	(J)V
    //   257: goto -194 -> 63
    //
    // Exception table:
    //   from	to	target	type
    //   93	129	225	finally
    //   227	229	225	finally
    //   162	190	232	finally
    //   234	236	232	finally
  }

  public void stop()
  {
    this.stop = 1;
  }

  /** @deprecated */
  public String submitJob(DownloadRequest paramDownloadRequest)
  {
    monitorenter;
    try
    {
      StringBuilder localStringBuilder = new StringBuilder("ID_");
      int i = this.id;
      int j = i + 1;
      this.id = j;
      String str = i;
      this.todoList.put(str, paramDownloadRequest);
      monitorexit;
      return str;
    }
    finally
    {
      localObject = finally;
      monitorexit;
    }
    throw localObject;
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     Jgun.CafeFinder.org.mixare.DownloadManager
 * JD-Core Version:    0.6.0
 */