package Jgun.CafeFinder.org.mixare;

import Jgun.CafeFinder.Common;
import Jgun.CafeFinder.org.mixare.data.DataHandler;
import Jgun.CafeFinder.org.mixare.gui.PaintScreen;
import Jgun.CafeFinder.org.mixare.render.Matrix;
import Jgun.CommonLib.Util;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.app.ProgressDialog;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.hardware.GeomagneticField;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.location.Criteria;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import android.os.Bundle;
import android.os.PowerManager;
import android.os.PowerManager.WakeLock;
import android.util.Log;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnTouchListener;
import android.view.ViewGroup.LayoutParams;
import android.widget.FrameLayout;
import android.widget.FrameLayout.LayoutParams;
import android.widget.SeekBar;
import android.widget.SeekBar.OnSeekBarChangeListener;
import android.widget.TextView;
import android.widget.Toast;
import dalvik.annotation.Signature;
import java.util.ArrayList;
import java.util.List;
import java.util.Vector;

public class MixView extends Activity
  implements SensorEventListener, LocationListener, View.OnTouchListener
{
  public static float GPS_ACURRACY = 0.0F;
  public static String GPS_ALL;
  public static double GPS_ALTITUDE = 0.0D;
  public static String GPS_LAST_FIX;
  public static double GPS_LATITUDE = 0.0D;
  public static double GPS_LONGITUDE = 0.0D;
  public static float GPS_SPEED = 0.0F;
  public static final String PREFS_NAME = "MyPrefsFileForMenuItems";
  public static final String TAG = "Mixare";
  static MixContext ctx;
  static PaintScreen dWindow;
  static boolean isInited = 0;
  static boolean isZoombarVisible = 1;
  public static LocationManager locationMgr;
  public static TextView searchNotificationTxt;
  static DataView view;
  static boolean zoomChanging = 0;
  static String zoomLevel;
  static int zoomProgress;
  float[] I;
  float[] R;
  float[] RTmp;
  AugmentedView augScreen;
  CameraSurface camScreen;
  Thread downloadThread;
  private boolean fError;
  private String fErrorTxt;
  private Exception fExeption;
  Matrix finalR;
  float[] grav;
  Matrix[] histR;
  boolean isGpsEnabled;

  @Signature({"Ljava/util/Vector", "<", "Ljava/lang/String;", ">;"})
  public Vector listDataVector;

  @Signature({"Ljava/util/Vector", "<", "Ljava/lang/String;", ">;"})
  public Vector listURL;
  Matrix m1;
  Matrix m2;
  Matrix m3;
  Matrix m4;
  private ProgressDialog mProgressDialog;
  private Util mUtil;
  private PowerManager.WakeLock mWakeLock;
  float[] mag;
  private SeekBar myZoomBar;
  private SeekBar.OnSeekBarChangeListener myZoomBarOnSeekBarChangeListener;
  int rHistIdx;
  private Sensor sensorGrav;
  private Sensor sensorMag;
  private SensorManager sensorMgr;

  @Signature({"Ljava/util/List", "<", "Landroid/hardware/Sensor;", ">;"})
  private List sensors;
  Matrix smoothR;
  Matrix tempR;

  static
  {
    GPS_LONGITUDE = 0.0D;
    GPS_LATITUDE = 0.0D;
    GPS_ACURRACY = 0.0F;
    GPS_LAST_FIX = "";
    GPS_ALTITUDE = 0.0D;
    GPS_SPEED = 0.0F;
    GPS_ALL = "";
  }

  public MixView()
  {
    float[] arrayOfFloat1 = new float[9];
    this.RTmp = arrayOfFloat1;
    float[] arrayOfFloat2 = new float[9];
    this.R = arrayOfFloat2;
    float[] arrayOfFloat3 = new float[9];
    this.I = arrayOfFloat3;
    float[] arrayOfFloat4 = new float[3];
    this.grav = arrayOfFloat4;
    float[] arrayOfFloat5 = new float[3];
    this.mag = arrayOfFloat5;
    this.isGpsEnabled = 0;
    this.rHistIdx = 0;
    Matrix localMatrix1 = new Matrix();
    this.tempR = localMatrix1;
    Matrix localMatrix2 = new Matrix();
    this.finalR = localMatrix2;
    Matrix localMatrix3 = new Matrix();
    this.smoothR = localMatrix3;
    Matrix[] arrayOfMatrix = new Matrix[60];
    this.histR = arrayOfMatrix;
    Matrix localMatrix4 = new Matrix();
    this.m1 = localMatrix4;
    Matrix localMatrix5 = new Matrix();
    this.m2 = localMatrix5;
    Matrix localMatrix6 = new Matrix();
    this.m3 = localMatrix6;
    Matrix localMatrix7 = new Matrix();
    this.m4 = localMatrix7;
    this.fError = 0;
    Util localUtil = new Util();
    this.mUtil = localUtil;
    MixView.1 local1 = new MixView.1(this);
    this.myZoomBarOnSeekBarChangeListener = local1;
  }

  private void SetZoomLevel()
  {
    float f = calcZoomLevel();
    view.radius = f;
    this.myZoomBar.setVisibility(0);
    isZoombarVisible = 1;
    zoomLevel = String.valueOf(f);
    view.doStart();
    view.clearEvents();
    DownloadManager localDownloadManager = ctx.downloadManager;
    Thread localThread = new Thread(localDownloadManager);
    this.downloadThread = localThread;
    this.downloadThread.start();
  }

  private void doMixSearch(String paramString)
  {
    if (!view.frozen)
    {
      MixListView.originalMarkerList = view.jLayer.markers;
      MixMap.originalMarkerList = view.jLayer.markers;
    }
    ArrayList localArrayList = new ArrayList();
    String str1 = paramString;
    Log.d("SEARCH-------------------0", str1);
    int i;
    if (view.jLayer.markers.size() > 0)
    {
      i = 0;
      int j = view.jLayer.markers.size();
      if (i < j);
    }
    else
    {
      if (localArrayList.size() <= 0)
        break label201;
      view.frozen = 1;
      view.jLayer.markers = localArrayList;
    }
    while (true)
    {
      return;
      Marker localMarker1 = new Marker();
      Marker localMarker2 = (Marker)view.jLayer.markers.get(i);
      String str2 = localMarker2.getText().toLowerCase();
      String str3 = paramString.toLowerCase();
      if (str2.indexOf(str3) != -1)
        localArrayList.add(localMarker2);
      i += 1;
      break;
      label201: int k = view.SEARCH_FAILED_NOTIFICATION;
      String str4 = getString(k);
      Toast.makeText(this, str4, 1).show();
    }
  }

  private void handleIntent(Intent paramIntent)
  {
    String str1 = paramIntent.getAction();
    if ("android.intent.action.SEARCH".equals(str1))
    {
      String str2 = paramIntent.getStringExtra("query");
      doMixSearch(str2);
    }
  }

  public float calcZoomLevel()
  {
    int i = this.myZoomBar.getProgress();
    float f1;
    if (i <= 26)
      f1 = i / 25.0F;
    while (true)
    {
      if ((MixListView.getDataSource().equals("Twitter")) && (this.myZoomBar.getProgress() < 100))
        f1 += 1.0F;
      return f1;
      if ((25 < i) && (i < 50))
      {
        f1 = (i - 25 + 1) * 0.38F;
        continue;
      }
      if (25 == i)
      {
        f1 = 1.0F;
        continue;
      }
      if (50 == i)
      {
        f1 = 10.0F;
        continue;
      }
      if ((50 < i) && (i < 75))
      {
        f1 = (i - 50 + 10) * 0.83F;
        continue;
      }
      float f2 = (i - 75) * 2.0F;
      f1 = 30.0F + f2;
    }
  }

  public void doError(Exception paramException)
  {
    if (!this.fError)
    {
      this.fError = 1;
      String str = paramException.toString();
      this.fErrorTxt = str;
      this.fExeption = paramException;
      setErrorDialog();
      paramException.printStackTrace();
    }
    try
    {
      this.augScreen.invalidate();
      label43: return;
    }
    catch (Exception localException)
    {
      break label43;
    }
  }

  public void killOnError()
    throws Exception
  {
    if (this.fError)
      throw new Exception();
  }

  public void onAccuracyChanged(Sensor paramSensor, int paramInt)
  {
  }

  public void onCreate(Bundle paramBundle)
  {
    onCreate(paramBundle);
    try
    {
      Intent localIntent = getIntent();
      handleIntent(localIntent);
      PowerManager.WakeLock localWakeLock = ((PowerManager)getSystemService("power")).newWakeLock(10, "My Tag");
      this.mWakeLock = localWakeLock;
      locationMgr = (LocationManager)getSystemService("location");
      LocationManager localLocationManager = locationMgr;
      MixView localMixView = this;
      localLocationManager.requestLocationUpdates("gps", 10000L, 10.0F, localMixView);
      killOnError();
      requestWindowFeature(1);
      SharedPreferences localSharedPreferences = getSharedPreferences("MyPrefsFileForMenuItems", 0);
      SharedPreferences.Editor localEditor = localSharedPreferences.edit();
      SeekBar localSeekBar1 = new SeekBar(this);
      this.myZoomBar = localSeekBar1;
      this.myZoomBar.setVisibility(0);
      this.myZoomBar.setMax(100);
      SeekBar localSeekBar2 = this.myZoomBar;
      int i = localSharedPreferences.getInt("zoomLevel", 65);
      localSeekBar2.setProgress(i);
      SeekBar localSeekBar3 = this.myZoomBar;
      SeekBar.OnSeekBarChangeListener localOnSeekBarChangeListener = this.myZoomBarOnSeekBarChangeListener;
      localSeekBar3.setOnSeekBarChangeListener(localOnSeekBarChangeListener);
      this.myZoomBar.setVisibility(0);
      isZoombarVisible = 1;
      MixListView.setDataSource("Bus & Stations");
      FrameLayout localFrameLayout = new FrameLayout(this);
      localFrameLayout.setMinimumWidth(3000);
      SeekBar localSeekBar4 = this.myZoomBar;
      localFrameLayout.addView(localSeekBar4);
      localFrameLayout.setPadding(10, 0, 10, 10);
      CameraSurface localCameraSurface1 = new CameraSurface(this);
      this.camScreen = localCameraSurface1;
      AugmentedView localAugmentedView1 = new AugmentedView(this);
      this.augScreen = localAugmentedView1;
      CameraSurface localCameraSurface2 = this.camScreen;
      setContentView(localCameraSurface2);
      AugmentedView localAugmentedView2 = this.augScreen;
      ViewGroup.LayoutParams localLayoutParams = new ViewGroup.LayoutParams(-1, -1);
      addContentView(localAugmentedView2, localLayoutParams);
      FrameLayout.LayoutParams localLayoutParams1 = new FrameLayout.LayoutParams(-1, -1, 80);
      addContentView(localFrameLayout, localLayoutParams1);
      if (!isInited)
      {
        ctx = new MixContext(this);
        MixContext localMixContext1 = ctx;
        MixContext localMixContext2 = ctx;
        DownloadManager localDownloadManager = new DownloadManager(localMixContext2);
        localMixContext1.downloadManager = localDownloadManager;
        dWindow = new PaintScreen();
        MixContext localMixContext3 = ctx;
        view = new DataView(localMixContext3);
        SetZoomLevel();
        isInited = 1;
      }
      if (!localSharedPreferences.getBoolean("firstAccess", 0))
      {
        localEditor.putBoolean("firstAccess", 1);
        localEditor.commit();
      }
      ctx.isActualLocation();
      return;
    }
    catch (Exception localException)
    {
      while (true)
        doError(localException);
    }
  }

  public boolean onCreateOptionsMenu(Menu paramMenu)
  {
    return true;
  }

  public boolean onKeyDown(int paramInt, KeyEvent paramKeyEvent)
  {
    try
    {
      killOnError();
      int i;
      if (paramInt == 4)
        if (view.state.detailsView)
        {
          view.keyEvent(paramInt);
          view.state.detailsView = 0;
          i = 1;
        }
      while (true)
      {
        return i;
        boolean bool1 = onKeyDown(paramInt, paramKeyEvent);
        continue;
        if (paramInt == 82)
        {
          bool1 = onKeyDown(paramInt, paramKeyEvent);
          continue;
        }
        view.keyEvent(paramInt);
        int j = 0;
      }
    }
    catch (Exception localException)
    {
      while (true)
      {
        localException.printStackTrace();
        boolean bool2 = onKeyDown(paramInt, paramKeyEvent);
      }
    }
  }

  public void onLocationChanged(Location paramLocation)
  {
    try
    {
      killOnError();
      String str1 = paramLocation.getProvider();
      Location localLocation;
      double d1;
      if ("gps".equals(str1))
      {
        if (this.mProgressDialog != null)
          this.mProgressDialog.dismiss();
        localLocation = ctx.curLoc;
        monitorenter;
        d1 = null;
      }
      try
      {
        paramLocation.setAltitude(d1);
        ctx.curLoc = paramLocation;
        Common.getInstance().setMyLocation(paramLocation);
        String str2 = String.valueOf(paramLocation.getLatitude());
        StringBuilder localStringBuilder1 = new StringBuilder(str2).append(",");
        double d2 = paramLocation.getLongitude();
        StringBuilder localStringBuilder2 = localStringBuilder1.append(d2).append(" ");
        double d3 = paramLocation.getAltitude();
        String str3 = d3;
        Util.ShowMessage(this, str3);
        monitorexit;
        localLocation = null;
        this.isGpsEnabled = localLocation;
        return;
      }
      finally
      {
        monitorexit;
      }
    }
    catch (Exception localException)
    {
      while (true)
        localException.printStackTrace();
    }
  }

  protected void onNewIntent(Intent paramIntent)
  {
    setIntent(paramIntent);
    handleIntent(paramIntent);
  }

  public boolean onOptionsItemSelected(MenuItem paramMenuItem)
  {
    switch (paramMenuItem.getItemId())
    {
    default:
    case 1:
    }
    while (true)
    {
      return true;
      this.myZoomBar.setVisibility(0);
      zoomProgress = this.myZoomBar.getProgress();
      isZoombarVisible = 1;
    }
  }

  protected void onPause()
  {
    onPause();
    try
    {
      this.mWakeLock.release();
    }
    catch (Exception localException2)
    {
      try
      {
        SensorManager localSensorManager1 = this.sensorMgr;
        Sensor localSensor1 = this.sensorGrav;
        localSensorManager1.unregisterListener(this, localSensor1);
        try
        {
          label27: SensorManager localSensorManager2 = this.sensorMgr;
          Sensor localSensor2 = this.sensorMag;
          localSensorManager2.unregisterListener(this, localSensor2);
          label45: Object localObject = null;
          this.sensorMgr = localObject;
          try
          {
            locationMgr.removeUpdates(this);
            label61: localObject = null;
            try
            {
              locationMgr = localObject;
            }
            catch (Exception localException2)
            {
              try
              {
                while (true)
                {
                  ctx.downloadManager.stop();
                  label78: if (this.fError)
                    finish();
                  while (true)
                  {
                    return;
                    localException1 = localException1;
                    doError(localException1);
                  }
                  localException2 = localException2;
                }
              }
              catch (Exception localException3)
              {
                break label78;
              }
            }
          }
          catch (Exception localException4)
          {
            break label61;
          }
        }
        catch (Exception localException5)
        {
          break label45;
        }
      }
      catch (Exception localException6)
      {
        break label27;
      }
    }
  }

  public void onProviderDisabled(String paramString)
  {
    boolean bool = locationMgr.isProviderEnabled("gps");
    this.isGpsEnabled = bool;
  }

  public void onProviderEnabled(String paramString)
  {
    boolean bool = locationMgr.isProviderEnabled("gps");
    this.isGpsEnabled = bool;
  }

  protected void onResume()
  {
    onResume();
    try
    {
      this.mWakeLock.acquire();
      killOnError();
      MixContext localMixContext1 = ctx;
      MixView localMixView1 = this;
      localMixContext1.mixView = localMixView1;
      view.doStart();
      view.clearEvents();
      double d1 = Math.toRadians(-90.0D);
      Matrix localMatrix1 = this.m1;
      float f1 = (float)Math.cos(d1);
      float f2 = (float)(-Math.sin(d1));
      float f3 = (float)Math.sin(d1);
      float f4 = (float)Math.cos(d1);
      localMatrix1.set(1.0F, 0.0F, 0.0F, 0.0F, f1, f2, 0.0F, f3, f4);
      double d2 = Math.toRadians(-90.0D);
      double d3 = Math.toRadians(-90.0D);
      Matrix localMatrix2 = this.m2;
      float f5 = (float)Math.cos(d2);
      float f6 = (float)(-Math.sin(d2));
      float f7 = (float)Math.sin(d2);
      float f8 = (float)Math.cos(d2);
      localMatrix2.set(1.0F, 0.0F, 0.0F, 0.0F, f5, f6, 0.0F, f7, f8);
      Matrix localMatrix3 = this.m3;
      float f9 = (float)Math.cos(d3);
      float f10 = (float)Math.sin(d3);
      float f11 = (float)(-Math.sin(d3));
      float f12 = (float)Math.cos(d3);
      localMatrix3.set(f9, 0.0F, f10, 0.0F, 1.0F, 0.0F, f11, 0.0F, f12);
      this.m4.toIdentity();
      int i = 0;
      while (true)
      {
        int j = this.histR.length;
        int k = i;
        int m = j;
        if (k >= m)
        {
          MixView localMixView2 = this;
          String str1 = "sensor";
          SensorManager localSensorManager1 = (SensorManager)localMixView2.getSystemService(str1);
          this.sensorMgr = localSensorManager1;
          List localList1 = this.sensorMgr.getSensorList(1);
          this.sensors = localList1;
          if (this.sensors.size() > 0)
          {
            Sensor localSensor1 = (Sensor)this.sensors.get(0);
            this.sensorGrav = localSensor1;
          }
          List localList2 = this.sensorMgr.getSensorList(2);
          this.sensors = localList2;
          if (this.sensors.size() > 0)
          {
            Sensor localSensor2 = (Sensor)this.sensors.get(0);
            this.sensorMag = localSensor2;
          }
          SensorManager localSensorManager2 = this.sensorMgr;
          Sensor localSensor3 = this.sensorGrav;
          SensorManager localSensorManager3 = localSensorManager2;
          MixView localMixView3 = this;
          Sensor localSensor4 = localSensor3;
          int n = 1;
          localSensorManager3.registerListener(localMixView3, localSensor4, n);
          SensorManager localSensorManager4 = this.sensorMgr;
          Sensor localSensor5 = this.sensorMag;
          SensorManager localSensorManager5 = localSensorManager4;
          MixView localMixView4 = this;
          Sensor localSensor6 = localSensor5;
          int i1 = 1;
          localSensorManager5.registerListener(localMixView4, localSensor6, i1);
        }
        try
        {
          Criteria localCriteria1 = new Criteria();
          Criteria localCriteria2 = localCriteria1;
          int i2 = 1;
          localCriteria2.setAccuracy(i2);
          MixView localMixView5 = this;
          String str2 = "location";
          locationMgr = (LocationManager)localMixView5.getSystemService(str2);
          LocationManager localLocationManager1 = locationMgr;
          MixView localMixView6 = this;
          localLocationManager1.requestLocationUpdates("gps", 10000L, 10.0F, localMixView6);
          LocationManager localLocationManager2 = locationMgr;
          Criteria localCriteria3 = localCriteria1;
          int i3 = 1;
          String str3 = localLocationManager2.getBestProvider(localCriteria3, i3);
          LocationManager localLocationManager3 = locationMgr;
          String str4 = str3;
          boolean bool = localLocationManager3.isProviderEnabled(str4);
          this.isGpsEnabled = bool;
          Location localLocation1 = new android/location/Location;
          Location localLocation2 = localLocation1;
          String str5 = "reverseGeocoded";
          localLocation2.<init>(str5);
          double d4 = Common.getInstance().getMyLocation().getLatitude();
          Location localLocation3 = localLocation1;
          double d5 = d4;
          localLocation3.setLatitude(d5);
          double d6 = Common.getInstance().getMyLocation().getLongitude();
          Location localLocation4 = localLocation1;
          double d7 = d6;
          localLocation4.setLongitude(d7);
          Location localLocation5 = localLocation1;
          double d8 = 1.0D;
          localLocation5.setAltitude(d8);
          try
          {
            MixContext localMixContext2 = ctx;
            LocationManager localLocationManager4 = locationMgr;
            String str6 = str3;
            Location localLocation6 = localLocationManager4.getLastKnownLocation(str6);
            Location localLocation7 = new Location(localLocation6);
            localMixContext2.curLoc = localLocation7;
            float f13 = (float)ctx.curLoc.getLatitude();
            float f14 = (float)ctx.curLoc.getLongitude();
            float f15 = (float)ctx.curLoc.getAltitude();
            long l = System.currentTimeMillis();
            GeomagneticField localGeomagneticField = new GeomagneticField(f13, f14, f15, l);
            double d9 = Math.toRadians(-localGeomagneticField.getDeclination());
            Matrix localMatrix4 = this.m4;
            float f16 = (float)Math.cos(d9);
            float f17 = (float)Math.sin(d9);
            float f18 = (float)(-Math.sin(d9));
            float f19 = (float)Math.cos(d9);
            localMatrix4.set(f16, 0.0F, f17, 0.0F, 1.0F, 0.0F, f18, 0.0F, f19);
            MixContext localMixContext3 = ctx;
            float f20 = localGeomagneticField.getDeclination();
            localMixContext3.declination = f20;
            DownloadManager localDownloadManager = ctx.downloadManager;
            Thread localThread = new Thread(localDownloadManager);
            this.downloadThread = localThread;
            this.downloadThread.start();
            Log.d("-------------------------------------------", "resume");
            if ((view.frozen) && (searchNotificationTxt == null))
            {
              TextView localTextView1 = new android/widget/TextView;
              TextView localTextView2 = localTextView1;
              MixView localMixView7 = this;
              localTextView2.<init>(localMixView7);
              searchNotificationTxt = localTextView1;
              TextView localTextView3 = searchNotificationTxt;
              int i4 = dWindow.getWidth();
              localTextView3.setWidth(i4);
              searchNotificationTxt.setPadding(10, 2, 0, 0);
              TextView localTextView4 = searchNotificationTxt;
              int i5 = view.SEARCH_ACTIVE_1;
              MixView localMixView8 = this;
              int i6 = i5;
              String str7 = String.valueOf(localMixView8.getString(i6));
              StringBuilder localStringBuilder1 = new StringBuilder(str7).append(" ");
              String str8 = MixListView.getDataSource();
              StringBuilder localStringBuilder2 = localStringBuilder1.append(str8);
              int i7 = view.SEARCH_ACTIVE_2;
              MixView localMixView9 = this;
              int i8 = i7;
              String str9 = localMixView9.getString(i8);
              String str10 = str9;
              localTextView4.setText(str10);
              searchNotificationTxt.setBackgroundColor(-12303292);
              searchNotificationTxt.setTextColor(-1);
              TextView localTextView5 = searchNotificationTxt;
              MixView localMixView10 = this;
              localTextView5.setOnTouchListener(localMixView10);
              TextView localTextView6 = searchNotificationTxt;
              ViewGroup.LayoutParams localLayoutParams1 = new ViewGroup.LayoutParams(-1, -1);
              MixView localMixView11 = this;
              TextView localTextView7 = localTextView6;
              ViewGroup.LayoutParams localLayoutParams2 = localLayoutParams1;
              localMixView11.addContentView(localTextView7, localLayoutParams2);
              MixView localMixView12 = this;
              String str11 = "";
              String str12 = "GPS�섏떊以묒엯�덈떎.\n 利앷컯�꾩떎���뺥솗��GPS�곗씠�곕줈留��쒕퉬�ㅺ� 媛�뒫�⑸땲��\n�ㅻ궡�먯꽌��GPS�섏떊��遺덇��섍굅���섏";
              ProgressDialog localProgressDialog = ProgressDialog.show(localMixView12, str11, str12);
              this.mProgressDialog = localProgressDialog;
              this.mProgressDialog.setCancelable(1);
              return;
              Matrix[] arrayOfMatrix = this.histR;
              Matrix localMatrix5 = new Matrix();
              arrayOfMatrix[i] = localMatrix5;
              i += 1;
            }
          }
          catch (Exception localException1)
          {
            while (true)
            {
              MixContext localMixContext4 = ctx;
              Location localLocation8 = new android/location/Location;
              Location localLocation9 = localLocation8;
              Location localLocation10 = localLocation1;
              localLocation9.<init>(localLocation10);
              localMixContext4.curLoc = localLocation8;
            }
          }
        }
        catch (Exception localException2)
        {
          while (true)
          {
            String str13 = "mixare";
            String str14 = "GPS Initialize Error";
            Exception localException3 = localException2;
            Log.d(str13, str14, localException3);
          }
        }
      }
    }
    catch (Exception localException4)
    {
      while (true)
      {
        MixView localMixView13 = this;
        Exception localException5 = localException4;
        localMixView13.doError(localException5);
        try
        {
          if (this.sensorMgr != null)
          {
            SensorManager localSensorManager6 = this.sensorMgr;
            Sensor localSensor7 = this.sensorGrav;
            SensorManager localSensorManager7 = localSensorManager6;
            MixView localMixView14 = this;
            Sensor localSensor8 = localSensor7;
            localSensorManager7.unregisterListener(localMixView14, localSensor8);
            SensorManager localSensorManager8 = this.sensorMgr;
            Sensor localSensor9 = this.sensorMag;
            SensorManager localSensorManager9 = localSensorManager8;
            MixView localMixView15 = this;
            Sensor localSensor10 = localSensor9;
            localSensorManager9.unregisterListener(localMixView15, localSensor10);
            Object localObject = null;
            this.sensorMgr = localObject;
          }
          if (locationMgr != null)
          {
            LocationManager localLocationManager5 = locationMgr;
            MixView localMixView16 = this;
            localLocationManager5.removeUpdates(localMixView16);
            locationMgr = null;
          }
          if ((ctx == null) || (ctx.downloadManager == null))
            continue;
          ctx.downloadManager.stop();
        }
        catch (Exception localException6)
        {
        }
        continue;
        if ((view.frozen) || (searchNotificationTxt == null))
          continue;
        searchNotificationTxt.setVisibility(8);
        searchNotificationTxt = null;
      }
    }
  }

  public void onSensorChanged(SensorEvent paramSensorEvent)
  {
    Object localObject1 = null;
    try
    {
      if (paramSensorEvent.sensor.getType() == 1)
      {
        float[] arrayOfFloat1 = this.grav;
        int i = paramSensorEvent.values[0];
        arrayOfFloat1[0] = i;
        float[] arrayOfFloat2 = this.grav;
        int j = paramSensorEvent.values[1];
        arrayOfFloat2[1] = j;
        float[] arrayOfFloat3 = this.grav;
        int k = paramSensorEvent.values[2];
        arrayOfFloat3[2] = k;
        this.augScreen.postInvalidate();
        float[] arrayOfFloat4 = this.RTmp;
        float[] arrayOfFloat5 = this.I;
        float[] arrayOfFloat6 = this.grav;
        float[] arrayOfFloat7 = this.mag;
        SensorManager.getRotationMatrix(arrayOfFloat4, arrayOfFloat5, arrayOfFloat6, arrayOfFloat7);
        float[] arrayOfFloat8 = this.RTmp;
        float[] arrayOfFloat9 = this.R;
        SensorManager.remapCoordinateSystem(arrayOfFloat8, 1, 131, arrayOfFloat9);
        Matrix localMatrix1 = this.tempR;
        int m = this.R[0];
        int n = this.R[1];
        int i1 = this.R[2];
        int i2 = this.R[3];
        int i3 = this.R[4];
        int i4 = this.R[5];
        int i5 = this.R[6];
        int i6 = this.R[7];
        int i7 = this.R[8];
        localMatrix1.set(m, n, i1, i2, i3, i4, i5, i6, i7);
        this.finalR.toIdentity();
        Matrix localMatrix2 = this.finalR;
        Matrix localMatrix3 = this.m4;
        localMatrix2.prod(localMatrix3);
        Matrix localMatrix4 = this.finalR;
        Matrix localMatrix5 = this.m1;
        localMatrix4.prod(localMatrix5);
        Matrix localMatrix6 = this.finalR;
        Matrix localMatrix7 = this.tempR;
        localMatrix6.prod(localMatrix7);
        Matrix localMatrix8 = this.finalR;
        Matrix localMatrix9 = this.m3;
        localMatrix8.prod(localMatrix9);
        Matrix localMatrix10 = this.finalR;
        Matrix localMatrix11 = this.m2;
        localMatrix10.prod(localMatrix11);
        this.finalR.invert();
        Matrix[] arrayOfMatrix = this.histR;
        int i8 = this.rHistIdx;
        Matrix localMatrix12 = arrayOfMatrix[i8];
        Matrix localMatrix13 = this.finalR;
        localMatrix12.set(localMatrix13);
        int i9 = this.rHistIdx + 1;
        this.rHistIdx = i9;
        int i10 = this.rHistIdx;
        int i11 = this.histR.length;
        if (i10 >= i11)
          this.rHistIdx = 0;
        this.smoothR.set(0.0F, 0.0F, 0.0F, 0.0F, 0.0F, 0.0F, 0.0F, 0.0F, 0.0F);
        i12 = 0;
        int i13 = this.histR.length;
        if (i12 < i13)
          break label616;
        Matrix localMatrix14 = this.smoothR;
        float f1 = this.histR.length;
        float f2 = 1.0F / f1;
        localMatrix14.mult(f2);
      }
    }
    catch (Exception localException)
    {
      synchronized (ctx.rotationM)
      {
        int i12;
        Matrix localMatrix16 = ctx.rotationM;
        Matrix localMatrix17 = this.smoothR;
        localMatrix16.set(localMatrix17);
        while (true)
        {
          return;
          if (paramSensorEvent.sensor.getType() != 2)
            break;
          float[] arrayOfFloat10 = this.mag;
          int i14 = paramSensorEvent.values[0];
          arrayOfFloat10[0] = i14;
          float[] arrayOfFloat11 = this.mag;
          int i15 = paramSensorEvent.values[1];
          arrayOfFloat11[1] = i15;
          float[] arrayOfFloat12 = this.mag;
          int i16 = paramSensorEvent.values[2];
          arrayOfFloat12[2] = i16;
          this.augScreen.postInvalidate();
          break;
          localException.printStackTrace();
        }
        label616: Matrix localMatrix18 = this.smoothR;
        Matrix localMatrix19 = this.histR[i12];
        localMatrix18.add(localMatrix19);
        i12 += 1;
      }
    }
  }

  public void onStatusChanged(String paramString, int paramInt, Bundle paramBundle)
  {
  }

  public boolean onTouch(View paramView, MotionEvent paramMotionEvent)
  {
    view.frozen = 0;
    searchNotificationTxt.setVisibility(8);
    searchNotificationTxt = null;
    return false;
  }

  public boolean onTouchEvent(MotionEvent paramMotionEvent)
  {
    try
    {
      killOnError();
      float f1 = paramMotionEvent.getX();
      float f2 = paramMotionEvent.getY();
      if (paramMotionEvent.getAction() == 1)
        view.clickEvent(f1, f2);
      int i = 1;
      return i;
    }
    catch (Exception localException)
    {
      while (true)
      {
        localException.printStackTrace();
        boolean bool = onTouchEvent(paramMotionEvent);
      }
    }
  }

  public void repaint()
  {
    MixContext localMixContext = ctx;
    view = new DataView(localMixContext);
    dWindow = new PaintScreen();
    SetZoomLevel();
  }

  public void setErrorDialog()
  {
    AlertDialog.Builder localBuilder = new AlertDialog.Builder(this);
    int i = view.CONNECITON_ERROR_DIALOG_TEXT;
    String str = getString(i);
    localBuilder.setMessage(str);
    localBuilder.setCancelable(0);
    int j = view.CONNECITON_ERROR_DIALOG_BUTTON1;
    MixView.2 local2 = new MixView.2(this);
    localBuilder.setPositiveButton(j, local2);
    int k = view.CONNECITON_ERROR_DIALOG_BUTTON2;
    MixView.3 local3 = new MixView.3(this);
    localBuilder.setNeutralButton(k, local3);
    int m = view.CONNECITON_ERROR_DIALOG_BUTTON3;
    MixView.4 local4 = new MixView.4(this);
    localBuilder.setNegativeButton(m, local4);
    localBuilder.create().show();
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     Jgun.CafeFinder.org.mixare.MixView
 * JD-Core Version:    0.6.0
 */