package Jgun.CafeFinder.org.mixare.render;

public class Matrix
{
  public float a1;
  public float a2;
  public float a3;
  public float b1;
  public float b2;
  public float b3;
  public float c1;
  public float c2;
  public float c3;

  private float det2x2(float paramFloat1, float paramFloat2, float paramFloat3, float paramFloat4)
  {
    float f1 = paramFloat1 * paramFloat4;
    float f2 = paramFloat2 * paramFloat3;
    return f1 - f2;
  }

  public void add(Matrix paramMatrix)
  {
    float f1 = this.a1;
    float f2 = paramMatrix.a1;
    float f3 = f1 + f2;
    this.a1 = f3;
    float f4 = this.a2;
    float f5 = paramMatrix.a2;
    float f6 = f4 + f5;
    this.a2 = f6;
    float f7 = this.a3;
    float f8 = paramMatrix.a3;
    float f9 = f7 + f8;
    this.a3 = f9;
    float f10 = this.b1;
    float f11 = paramMatrix.b1;
    float f12 = f10 + f11;
    this.b1 = f12;
    float f13 = this.b2;
    float f14 = paramMatrix.b2;
    float f15 = f13 + f14;
    this.b2 = f15;
    float f16 = this.b3;
    float f17 = paramMatrix.b3;
    float f18 = f16 + f17;
    this.b3 = f18;
    float f19 = this.c1;
    float f20 = paramMatrix.c1;
    float f21 = f19 + f20;
    this.c1 = f21;
    float f22 = this.c2;
    float f23 = paramMatrix.c2;
    float f24 = f22 + f23;
    this.c2 = f24;
    float f25 = this.c3;
    float f26 = paramMatrix.c3;
    float f27 = f25 + f26;
    this.c3 = f27;
  }

  public void adj()
  {
    float f1 = this.a1;
    float f2 = this.a2;
    float f3 = this.a3;
    float f4 = this.b1;
    float f5 = this.b2;
    float f6 = this.b3;
    float f7 = this.c1;
    float f8 = this.c2;
    float f9 = this.c3;
    float f10 = det2x2(f5, f6, f8, f9);
    this.a1 = f10;
    float f11 = det2x2(f3, f2, f9, f8);
    this.a2 = f11;
    float f12 = det2x2(f2, f3, f5, f6);
    this.a3 = f12;
    float f13 = det2x2(f6, f4, f9, f7);
    this.b1 = f13;
    float f14 = det2x2(f1, f3, f7, f9);
    this.b2 = f14;
    float f15 = det2x2(f3, f1, f6, f4);
    this.b3 = f15;
    float f16 = det2x2(f4, f5, f7, f8);
    this.c1 = f16;
    float f17 = det2x2(f2, f1, f8, f7);
    this.c2 = f17;
    float f18 = det2x2(f1, f2, f4, f5);
    this.c3 = f18;
  }

  public float det()
  {
    float f1 = this.a1;
    float f2 = this.b2;
    float f3 = f1 * f2;
    float f4 = this.c3;
    float f5 = f3 * f4;
    float f6 = this.a1;
    float f7 = this.b3;
    float f8 = f6 * f7;
    float f9 = this.c2;
    float f10 = f8 * f9;
    float f11 = f5 - f10;
    float f12 = this.a2;
    float f13 = this.b1;
    float f14 = f12 * f13;
    float f15 = this.c3;
    float f16 = f14 * f15;
    float f17 = f11 - f16;
    float f18 = this.a2;
    float f19 = this.b3;
    float f20 = f18 * f19;
    float f21 = this.c1;
    float f22 = f20 * f21;
    float f23 = f17 + f22;
    float f24 = this.a3;
    float f25 = this.b1;
    float f26 = f24 * f25;
    float f27 = this.c2;
    float f28 = f26 * f27;
    float f29 = f23 + f28;
    float f30 = this.a3;
    float f31 = this.b2;
    float f32 = f30 * f31;
    float f33 = this.c1;
    float f34 = f32 * f33;
    return f29 - f34;
  }

  public void invert()
  {
    float f1 = det();
    adj();
    float f2 = 1.0F / f1;
    mult(f2);
  }

  public void mult(float paramFloat)
  {
    float f1 = this.a1 * paramFloat;
    this.a1 = f1;
    float f2 = this.a2 * paramFloat;
    this.a2 = f2;
    float f3 = this.a3 * paramFloat;
    this.a3 = f3;
    float f4 = this.b1 * paramFloat;
    this.b1 = f4;
    float f5 = this.b2 * paramFloat;
    this.b2 = f5;
    float f6 = this.b3 * paramFloat;
    this.b3 = f6;
    float f7 = this.c1 * paramFloat;
    this.c1 = f7;
    float f8 = this.c2 * paramFloat;
    this.c2 = f8;
    float f9 = this.c3 * paramFloat;
    this.c3 = f9;
  }

  public void prod(Matrix paramMatrix)
  {
    Matrix localMatrix = new Matrix();
    localMatrix.set(this);
    float f1 = localMatrix.a1;
    float f2 = paramMatrix.a1;
    float f3 = f1 * f2;
    float f4 = localMatrix.a2;
    float f5 = paramMatrix.b1;
    float f6 = f4 * f5;
    float f7 = f3 + f6;
    float f8 = localMatrix.a3;
    float f9 = paramMatrix.c1;
    float f10 = f8 * f9;
    float f11 = f7 + f10;
    this.a1 = f11;
    float f12 = localMatrix.a1;
    float f13 = paramMatrix.a2;
    float f14 = f12 * f13;
    float f15 = localMatrix.a2;
    float f16 = paramMatrix.b2;
    float f17 = f15 * f16;
    float f18 = f14 + f17;
    float f19 = localMatrix.a3;
    float f20 = paramMatrix.c2;
    float f21 = f19 * f20;
    float f22 = f18 + f21;
    this.a2 = f22;
    float f23 = localMatrix.a1;
    float f24 = paramMatrix.a3;
    float f25 = f23 * f24;
    float f26 = localMatrix.a2;
    float f27 = paramMatrix.b3;
    float f28 = f26 * f27;
    float f29 = f25 + f28;
    float f30 = localMatrix.a3;
    float f31 = paramMatrix.c3;
    float f32 = f30 * f31;
    float f33 = f29 + f32;
    this.a3 = f33;
    float f34 = localMatrix.b1;
    float f35 = paramMatrix.a1;
    float f36 = f34 * f35;
    float f37 = localMatrix.b2;
    float f38 = paramMatrix.b1;
    float f39 = f37 * f38;
    float f40 = f36 + f39;
    float f41 = localMatrix.b3;
    float f42 = paramMatrix.c1;
    float f43 = f41 * f42;
    float f44 = f40 + f43;
    this.b1 = f44;
    float f45 = localMatrix.b1;
    float f46 = paramMatrix.a2;
    float f47 = f45 * f46;
    float f48 = localMatrix.b2;
    float f49 = paramMatrix.b2;
    float f50 = f48 * f49;
    float f51 = f47 + f50;
    float f52 = localMatrix.b3;
    float f53 = paramMatrix.c2;
    float f54 = f52 * f53;
    float f55 = f51 + f54;
    this.b2 = f55;
    float f56 = localMatrix.b1;
    float f57 = paramMatrix.a3;
    float f58 = f56 * f57;
    float f59 = localMatrix.b2;
    float f60 = paramMatrix.b3;
    float f61 = f59 * f60;
    float f62 = f58 + f61;
    float f63 = localMatrix.b3;
    float f64 = paramMatrix.c3;
    float f65 = f63 * f64;
    float f66 = f62 + f65;
    this.b3 = f66;
    float f67 = localMatrix.c1;
    float f68 = paramMatrix.a1;
    float f69 = f67 * f68;
    float f70 = localMatrix.c2;
    float f71 = paramMatrix.b1;
    float f72 = f70 * f71;
    float f73 = f69 + f72;
    float f74 = localMatrix.c3;
    float f75 = paramMatrix.c1;
    float f76 = f74 * f75;
    float f77 = f73 + f76;
    this.c1 = f77;
    float f78 = localMatrix.c1;
    float f79 = paramMatrix.a2;
    float f80 = f78 * f79;
    float f81 = localMatrix.c2;
    float f82 = paramMatrix.b2;
    float f83 = f81 * f82;
    float f84 = f80 + f83;
    float f85 = localMatrix.c3;
    float f86 = paramMatrix.c2;
    float f87 = f85 * f86;
    float f88 = f84 + f87;
    this.c2 = f88;
    float f89 = localMatrix.c1;
    float f90 = paramMatrix.a3;
    float f91 = f89 * f90;
    float f92 = localMatrix.c2;
    float f93 = paramMatrix.b3;
    float f94 = f92 * f93;
    float f95 = f91 + f94;
    float f96 = localMatrix.c3;
    float f97 = paramMatrix.c3;
    float f98 = f96 * f97;
    float f99 = f95 + f98;
    this.c3 = f99;
  }

  public void set(float paramFloat1, float paramFloat2, float paramFloat3, float paramFloat4, float paramFloat5, float paramFloat6, float paramFloat7, float paramFloat8, float paramFloat9)
  {
    this.a1 = paramFloat1;
    this.a2 = paramFloat2;
    this.a3 = paramFloat3;
    this.b1 = paramFloat4;
    this.b2 = paramFloat5;
    this.b3 = paramFloat6;
    this.c1 = paramFloat7;
    this.c2 = paramFloat8;
    this.c3 = paramFloat9;
  }

  public void set(Matrix paramMatrix)
  {
    float f1 = paramMatrix.a1;
    this.a1 = f1;
    float f2 = paramMatrix.a2;
    this.a2 = f2;
    float f3 = paramMatrix.a3;
    this.a3 = f3;
    float f4 = paramMatrix.b1;
    this.b1 = f4;
    float f5 = paramMatrix.b2;
    this.b2 = f5;
    float f6 = paramMatrix.b3;
    this.b3 = f6;
    float f7 = paramMatrix.c1;
    this.c1 = f7;
    float f8 = paramMatrix.c2;
    this.c2 = f8;
    float f9 = paramMatrix.c3;
    this.c3 = f9;
  }

  public void toAt(MixVector paramMixVector1, MixVector paramMixVector2)
  {
    MixVector localMixVector1 = new MixVector(0.0F, 1.0F, 0.0F);
    MixVector localMixVector2 = new MixVector();
    MixVector localMixVector3 = localMixVector2;
    MixVector localMixVector4 = paramMixVector2;
    localMixVector3.set(localMixVector4);
    MixVector localMixVector5 = localMixVector2;
    MixVector localMixVector6 = paramMixVector1;
    localMixVector5.sub(localMixVector6);
    localMixVector2.mult(-1.0F);
    localMixVector2.norm();
    MixVector localMixVector7 = new MixVector();
    localMixVector7.cross(localMixVector1, localMixVector2);
    localMixVector7.norm();
    MixVector localMixVector8 = new MixVector();
    localMixVector8.cross(localMixVector2, localMixVector7);
    localMixVector8.norm();
    float f1 = localMixVector7.x;
    float f2 = localMixVector7.y;
    float f3 = localMixVector7.z;
    float f4 = localMixVector8.x;
    float f5 = localMixVector8.y;
    float f6 = localMixVector8.z;
    float f7 = localMixVector2.x;
    float f8 = localMixVector2.y;
    float f9 = localMixVector2.z;
    set(f1, f2, f3, f4, f5, f6, f7, f8, f9);
  }

  public void toIdentity()
  {
    Matrix localMatrix = this;
    float f1 = 0.0F;
    float f2 = 0.0F;
    float f3 = 1.0F;
    float f4 = 0.0F;
    float f5 = 0.0F;
    float f6 = 0.0F;
    float f7 = 1.0F;
    localMatrix.set(1.0F, 0.0F, f1, f2, f3, f4, f5, f6, f7);
  }

  public void toScale(float paramFloat)
  {
    Matrix localMatrix = this;
    float f1 = paramFloat;
    float f2 = 0.0F;
    float f3 = 0.0F;
    float f4 = paramFloat;
    float f5 = 0.0F;
    float f6 = 0.0F;
    float f7 = 0.0F;
    float f8 = paramFloat;
    localMatrix.set(f1, 0.0F, f2, f3, f4, f5, f6, f7, f8);
  }

  public String toString()
  {
    StringBuilder localStringBuilder1 = new StringBuilder("[ (");
    float f1 = this.a1;
    StringBuilder localStringBuilder2 = localStringBuilder1.append(f1).append(",");
    float f2 = this.a2;
    StringBuilder localStringBuilder3 = localStringBuilder2.append(f2).append(",");
    float f3 = this.a3;
    StringBuilder localStringBuilder4 = localStringBuilder3.append(f3).append(") (");
    float f4 = this.b1;
    StringBuilder localStringBuilder5 = localStringBuilder4.append(f4).append(",");
    float f5 = this.b2;
    StringBuilder localStringBuilder6 = localStringBuilder5.append(f5).append(",");
    float f6 = this.b3;
    StringBuilder localStringBuilder7 = localStringBuilder6.append(f6).append(") (");
    float f7 = this.c1;
    StringBuilder localStringBuilder8 = localStringBuilder7.append(f7).append(",");
    float f8 = this.c2;
    StringBuilder localStringBuilder9 = localStringBuilder8.append(f8).append(",");
    float f9 = this.c3;
    return f9 + ") ]";
  }

  public void toXRot(float paramFloat)
  {
    float f1 = (float)Math.cos(paramFloat);
    float f2 = (float)(-Math.sin(paramFloat));
    float f3 = (float)Math.sin(paramFloat);
    float f4 = (float)Math.cos(paramFloat);
    Matrix localMatrix = this;
    float f5 = 0.0F;
    float f6 = 0.0F;
    float f7 = 0.0F;
    localMatrix.set(1.0F, 0.0F, f5, f6, f1, f2, f7, f3, f4);
  }

  public void toYRot(float paramFloat)
  {
    float f1 = (float)Math.cos(paramFloat);
    float f2 = (float)Math.sin(paramFloat);
    float f3 = (float)(-Math.sin(paramFloat));
    float f4 = (float)Math.cos(paramFloat);
    Matrix localMatrix = this;
    float f5 = 0.0F;
    float f6 = 0.0F;
    float f7 = 0.0F;
    localMatrix.set(f1, 0.0F, f2, f5, 1.0F, f6, f3, f7, f4);
  }

  public void toZRot(float paramFloat)
  {
    float f1 = (float)Math.cos(paramFloat);
    float f2 = (float)(-Math.sin(paramFloat));
    float f3 = (float)Math.sin(paramFloat);
    float f4 = (float)Math.cos(paramFloat);
    Matrix localMatrix = this;
    float f5 = 0.0F;
    float f6 = 0.0F;
    float f7 = 0.0F;
    localMatrix.set(f1, f2, 0.0F, f3, f4, f5, f6, f7, 1.0F);
  }

  public void transpose()
  {
    float f1 = this.a1;
    float f2 = this.a2;
    float f3 = this.a3;
    float f4 = this.b1;
    float f5 = this.b2;
    float f6 = this.b3;
    float f7 = this.c1;
    float f8 = this.c2;
    float f9 = this.c3;
    this.b1 = f2;
    this.a2 = f4;
    this.b3 = f8;
    this.c2 = f6;
    this.c1 = f3;
    this.a3 = f7;
    this.a1 = f1;
    this.b2 = f5;
    this.c3 = f9;
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     Jgun.CafeFinder.org.mixare.render.Matrix
 * JD-Core Version:    0.6.0
 */