package net.daum.mobilead;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.content.pm.PackageManager.NameNotFoundException;
import android.os.Build;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.provider.Settings.System;
import dalvik.annotation.Signature;
import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.util.HashMap;
import net.daum.mobilead.protocol.AdCommon;
import net.daum.mobilead.protocol.MobileAdSDKError;
import net.daum.mobilead.protocol.MobileAdSDKException;

public class AdConfig
{
  public static final String ACTION_BANNER = "_b";
  public static final String ACTION_CALL = "_c";
  public static final String ACTION_HTML = "_l";
  public static final String ACTION_MARKET = "_a";
  public static final String ACTION_URL = "_w";
  private static String OUTPUT_TYPE;
  private static final String SDK_VERSION = "1.3.1";
  public static final String TEST_EMULATOR = "Unknown DeviceID";
  private static String mClientId = null;
  private static String mTestAction;
  private static String[] mTestDeviceList;

  static
  {
    OUTPUT_TYPE = "xml";
    String[] arrayOfString = new String[1];
    arrayOfString[0] = "Unknown DeviceID";
    mTestDeviceList = arrayOfString;
    mTestAction = null;
  }

  private static void checkApplicationInfo(Context paramContext)
  {
    PackageManager localPackageManager;
    if (mClientId == null)
      localPackageManager = paramContext.getPackageManager();
    try
    {
      String str1 = paramContext.getPackageName();
      ApplicationInfo localApplicationInfo = localPackageManager.getApplicationInfo(str1, 128);
      if (localApplicationInfo.metaData != null)
      {
        String str2 = localApplicationInfo.metaData.getString("MOBILEAD_CLIENT_ID");
        if ((str2 != null) && (str2.length() > 0))
          mClientId = str2;
      }
      label61: return;
    }
    catch (PackageManager.NameNotFoundException localNameNotFoundException)
    {
      break label61;
    }
  }

  public static String getClientId()
  {
    return mClientId;
  }

  private static String getDeviceUID(Context paramContext)
  {
    String str = Settings.System.getString(paramContext.getContentResolver(), "android_id");
    if (str == null)
      str = "Unknown DeviceID";
    return str;
  }

  public static String getTestAction()
  {
    return mTestAction;
  }

  public static boolean isTestDevice(Context paramContext)
  {
    boolean bool = false;
    if (AdCommon.get("appid") != null)
      if (AdCommon.get("test").equals("true"))
        bool = true;
    do
      while (true)
      {
        return bool;
        bool = false;
      }
    while ((mTestDeviceList == null) || (mTestDeviceList.length <= 0));
    String str = getDeviceUID(paramContext);
    int i = 0;
    while (true)
    {
      int j = mTestDeviceList.length;
      if (i >= j)
        break;
      bool = mTestDeviceList[i].equals(str);
      if (bool)
        i = mTestDeviceList.length;
      i += 1;
    }
  }

  @Signature({"(", "Lnet/daum/mobilead/MobileAdView;", ")", "Ljava/util/HashMap", "<", "Ljava/lang/String;", "Ljava/lang/Object;", ">;"})
  public static HashMap makeAdParams(MobileAdView paramMobileAdView)
    throws UnsupportedEncodingException, MobileAdSDKException
  {
    HashMap localHashMap = new HashMap();
    checkApplicationInfo(paramMobileAdView.getContext());
    if (getClientId() == null)
    {
      MobileAdSDKError localMobileAdSDKError = MobileAdSDKError.AD_DOWNLOAD_ERROR_UNKNOWN_CLIENTID;
      throw new MobileAdSDKException(localMobileAdSDKError);
    }
    String str1 = getClientId();
    localHashMap.put("client", str1);
    localHashMap.put("ct", "AA");
    String str2 = "test";
    if (isTestDevice(paramMobileAdView.getContext()));
    for (String str3 = "y"; ; str3 = "n")
    {
      localHashMap.put(str2, str3);
      String str4 = URLEncoder.encode(Build.MODEL, "UTF8");
      localHashMap.put("dev", str4);
      String str5 = URLEncoder.encode(Build.VERSION.RELEASE, "UTF8");
      localHashMap.put("osver", str5);
      String str6 = URLEncoder.encode(OUTPUT_TYPE, "UTF8");
      localHashMap.put("output", str6);
      if (isTestDevice(paramMobileAdView.getContext()))
      {
        String str7 = mTestAction;
        localHashMap.put("q", str7);
      }
      localHashMap.put("oe", "utf8");
      localHashMap.put("ie", "utf8");
      String str8 = URLEncoder.encode("1.3.1", "UTF8");
      localHashMap.put("sdkver", str8);
      if ((paramMobileAdView.getWidth() != 0) || (paramMobileAdView.getHeight() != 0))
      {
        Integer localInteger1 = Integer.valueOf(paramMobileAdView.getWidth());
        localHashMap.put("w", localInteger1);
        Integer localInteger2 = Integer.valueOf(paramMobileAdView.getHeight());
        localHashMap.put("h", localInteger2);
      }
      return localHashMap;
    }
  }

  public static void setClientId(String paramString)
  {
    if ((paramString != null) && (paramString.length() <= 0))
      mClientId = null;
    while (true)
    {
      return;
      mClientId = paramString;
    }
  }

  public static void setTestAction(String paramString)
  {
    mTestAction = paramString;
  }

  public static void setTestDevice(String[] paramArrayOfString)
  {
    mTestDeviceList = paramArrayOfString;
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     net.daum.mobilead.AdConfig
 * JD-Core Version:    0.6.0
 */