package Jgun.CafeFinder.data;

import android.location.Location;
import dalvik.annotation.Signature;

public class CafeDataSuper
{
  protected String address;
  protected String comeWay;
  protected String contact;
  protected String convenience;
  protected float distance;
  protected boolean hasConferenceTable = 0;
  protected boolean hasLibrary = 0;
  protected boolean hasMusicShop = 0;
  protected boolean hasPark = 0;
  protected boolean hasSmokingZone = 0;
  protected boolean hasTerrace = 0;
  protected boolean hasWaffle = 0;
  protected boolean hasWifi = 0;
  protected String infomation;
  protected double latitude;
  protected double longitude;
  protected String openTime;
  protected String parking;
  protected String storeMainName;
  protected String storeName;
  protected boolean takeOutOnly = 0;

  public CafeDataSuper(String paramString1, String paramString2, double paramDouble1, double paramDouble2, String paramString3)
  {
    this.storeName = paramString1;
    this.address = paramString2;
    this.latitude = paramDouble1;
    this.longitude = ???;
    this.contact = paramDouble2;
  }

  public CafeDataSuper(String paramString1, String paramString2, String paramString3, String paramString4, String paramString5)
  {
    this.storeName = paramString1;
    this.address = paramString2;
    double d1 = Double.parseDouble(paramString3);
    this.latitude = d1;
    double d2 = Double.parseDouble(paramString4);
    this.longitude = d2;
    this.contact = paramString5;
  }

  public String getAddress()
  {
    return this.address;
  }

  public String getComeWay()
  {
    return this.comeWay;
  }

  public String getContact()
  {
    return this.contact;
  }

  public String getContactOnlyNum()
  {
    return this.contact.replace("(", "").replace("}", "").replace(" ", "").replace("-", "");
  }

  public String getConvenience()
  {
    return this.convenience;
  }

  public float getDistance()
  {
    return this.distance;
  }

  public String getInfomation()
  {
    return this.infomation;
  }

  public double getLatitude()
  {
    return this.latitude;
  }

  public Location getLocation()
  {
    Location localLocation = new Location("gps");
    double d1 = this.latitude;
    localLocation.setLatitude(d1);
    double d2 = this.longitude;
    localLocation.setLongitude(d2);
    return localLocation;
  }

  public double getLongitude()
  {
    return this.longitude;
  }

  public String getOpenTime()
  {
    return this.openTime;
  }

  public String getParking()
  {
    return this.parking;
  }

  public String getStoreMainName()
  {
    return this.storeMainName;
  }

  public String getStoreName()
  {
    return this.storeName;
  }

  public boolean isHasConferenceTable()
  {
    return this.hasConferenceTable;
  }

  public boolean isHasLibrary()
  {
    return this.hasLibrary;
  }

  public boolean isHasMusicShop()
  {
    return this.hasMusicShop;
  }

  public boolean isHasPark()
  {
    return this.hasPark;
  }

  public boolean isHasSmokingZone()
  {
    return this.hasSmokingZone;
  }

  public boolean isHasTerrace()
  {
    return this.hasTerrace;
  }

  public boolean isHasWaffle()
  {
    return this.hasWaffle;
  }

  public boolean isHasWifi()
  {
    return this.hasWifi;
  }

  public boolean isTakeOutOnly()
  {
    return this.takeOutOnly;
  }

  public void setAddress(String paramString)
  {
    this.address = paramString;
  }

  public void setComeWay(String paramString)
  {
    this.comeWay = paramString;
  }

  public void setContact(String paramString)
  {
    this.contact = paramString;
  }

  public void setConvenience(String paramString)
  {
    this.convenience = paramString;
  }

  public void setDistance(float paramFloat)
  {
    this.distance = paramFloat;
  }

  public void setHasConferenceTable(boolean paramBoolean)
  {
    this.hasConferenceTable = paramBoolean;
  }

  public void setHasLibrary(boolean paramBoolean)
  {
    this.hasLibrary = paramBoolean;
  }

  public void setHasMusicShop(boolean paramBoolean)
  {
    this.hasMusicShop = paramBoolean;
  }

  public void setHasPark(boolean paramBoolean)
  {
    this.hasPark = paramBoolean;
  }

  public void setHasSmokingZone(boolean paramBoolean)
  {
    this.hasSmokingZone = paramBoolean;
  }

  public void setHasTerrace(boolean paramBoolean)
  {
    this.hasTerrace = paramBoolean;
  }

  public void setHasWaffle(boolean paramBoolean)
  {
    this.hasWaffle = paramBoolean;
  }

  public void setHasWifi(boolean paramBoolean)
  {
    this.hasWifi = paramBoolean;
  }

  public void setInfomation(String paramString)
  {
    this.infomation = paramString;
  }

  public void setLatitude(double paramDouble)
  {
    this.latitude = paramDouble;
  }

  public void setLongitude(double paramDouble)
  {
    this.longitude = paramDouble;
  }

  public void setOpenTime(String paramString)
  {
    this.openTime = paramString;
  }

  public void setParking(String paramString)
  {
    this.parking = paramString;
  }

  public void setStoreMainName(String paramString)
  {
    this.storeMainName = paramString;
  }

  public void setStoreName(String paramString)
  {
    this.storeName = paramString;
  }

  public void setTakeOutOnly(boolean paramBoolean)
  {
    this.takeOutOnly = paramBoolean;
  }

  @Signature({"Ljava/lang/Enum", "<", "LJgun/CafeFinder/data/CafeDataSuper$STORE_TYPE;", ">;"})
  public enum STORE_TYPE
  {
    static
    {
      Tomntoms = new STORE_TYPE("Tomntoms", 1);
      Caffebene = new STORE_TYPE("Caffebene", 2);
      Starbucks = new STORE_TYPE("Starbucks", 3);
      Angelinus = new STORE_TYPE("Angelinus", 4);
      Hollys = new STORE_TYPE("Hollys", 5);
      Coffeebean = new STORE_TYPE("Coffeebean", 6);
      Pascucci = new STORE_TYPE("Pascucci", 7);
      Ediya = new STORE_TYPE("Ediya", 8);
      Coffine = new STORE_TYPE("Coffine", 9);
      Dunkin = new STORE_TYPE("Dunkin", 10);
      SevenMonkeys = new STORE_TYPE("SevenMonkeys", 11);
      DeChocolate = new STORE_TYPE("DeChocolate", 12);
      JavaCity = new STORE_TYPE("JavaCity", 13);
      Coffeenie = new STORE_TYPE("Coffeenie", 14);
      BaskinRobbins = new STORE_TYPE("BaskinRobbins", 15);
      Cafe7Gram = new STORE_TYPE("Cafe7Gram", 16);
      STORE_TYPE[] arrayOfSTORE_TYPE = new STORE_TYPE[17];
      STORE_TYPE localSTORE_TYPE1 = Twosome;
      arrayOfSTORE_TYPE[0] = localSTORE_TYPE1;
      STORE_TYPE localSTORE_TYPE2 = Tomntoms;
      arrayOfSTORE_TYPE[1] = localSTORE_TYPE2;
      STORE_TYPE localSTORE_TYPE3 = Caffebene;
      arrayOfSTORE_TYPE[2] = localSTORE_TYPE3;
      STORE_TYPE localSTORE_TYPE4 = Starbucks;
      arrayOfSTORE_TYPE[3] = localSTORE_TYPE4;
      STORE_TYPE localSTORE_TYPE5 = Angelinus;
      arrayOfSTORE_TYPE[4] = localSTORE_TYPE5;
      STORE_TYPE localSTORE_TYPE6 = Hollys;
      arrayOfSTORE_TYPE[5] = localSTORE_TYPE6;
      STORE_TYPE localSTORE_TYPE7 = Coffeebean;
      arrayOfSTORE_TYPE[6] = localSTORE_TYPE7;
      STORE_TYPE localSTORE_TYPE8 = Pascucci;
      arrayOfSTORE_TYPE[7] = localSTORE_TYPE8;
      STORE_TYPE localSTORE_TYPE9 = Ediya;
      arrayOfSTORE_TYPE[8] = localSTORE_TYPE9;
      STORE_TYPE localSTORE_TYPE10 = Coffine;
      arrayOfSTORE_TYPE[9] = localSTORE_TYPE10;
      STORE_TYPE localSTORE_TYPE11 = Dunkin;
      arrayOfSTORE_TYPE[10] = localSTORE_TYPE11;
      STORE_TYPE localSTORE_TYPE12 = SevenMonkeys;
      arrayOfSTORE_TYPE[11] = localSTORE_TYPE12;
      STORE_TYPE localSTORE_TYPE13 = DeChocolate;
      arrayOfSTORE_TYPE[12] = localSTORE_TYPE13;
      STORE_TYPE localSTORE_TYPE14 = JavaCity;
      arrayOfSTORE_TYPE[13] = localSTORE_TYPE14;
      STORE_TYPE localSTORE_TYPE15 = Coffeenie;
      arrayOfSTORE_TYPE[14] = localSTORE_TYPE15;
      STORE_TYPE localSTORE_TYPE16 = BaskinRobbins;
      arrayOfSTORE_TYPE[15] = localSTORE_TYPE16;
      STORE_TYPE localSTORE_TYPE17 = Cafe7Gram;
      arrayOfSTORE_TYPE[16] = localSTORE_TYPE17;
      ENUM$VALUES = arrayOfSTORE_TYPE;
    }
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     Jgun.CafeFinder.data.CafeDataSuper
 * JD-Core Version:    0.6.0
 */