package Jgun.CafeFinder.org.mixare;

import Jgun.CafeFinder.org.mixare.data.DataHandler;
import Jgun.CafeFinder.org.mixare.gui.PaintScreen;
import Jgun.CafeFinder.org.mixare.reality.PhysicalPlace;
import android.content.Context;
import android.content.Intent;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.location.Location;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnTouchListener;
import android.view.ViewGroup.LayoutParams;
import android.widget.TextView;
import android.widget.Toast;
import com.google.android.maps.GeoPoint;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapController;
import com.google.android.maps.MapView;
import com.google.android.maps.OverlayItem;
import dalvik.annotation.Signature;
import java.util.ArrayList;
import java.util.List;

public class MixMap extends MapActivity
  implements View.OnTouchListener
{
  private static MixContext ctx;
  private static DataView dataView;
  static MixMap map;

  @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/Overlay;", ">;"})
  private static List mapOverlays;

  @Signature({"Ljava/util/ArrayList", "<", "LJgun/CafeFinder/org/mixare/Marker;", ">;"})
  private static ArrayList markerList;

  @Signature({"Ljava/util/ArrayList", "<", "LJgun/CafeFinder/org/mixare/Marker;", ">;"})
  public static ArrayList originalMarkerList = null;
  private static TextView searchNotificationTxt;
  private static GeoPoint startPoint;
  private static Context thisContext;
  private Drawable drawable;
  private MapView mapView;

  private void doMixSearch(String paramString)
  {
    if (!dataView.frozen)
    {
      originalMarkerList = dataView.jLayer.markers;
      MixListView.originalMarkerList = dataView.jLayer.markers;
    }
    markerList = new ArrayList();
    int i = 0;
    int j = dataView.jLayer.markers.size();
    if (i >= j)
    {
      if (markerList.size() != 0)
        break label170;
      int k = dataView.SEARCH_FAILED_NOTIFICATION;
      String str1 = getString(k);
      Toast.makeText(this, str1, 1).show();
    }
    while (true)
    {
      return;
      Marker localMarker1 = new Marker();
      Marker localMarker2 = (Marker)dataView.jLayer.markers.get(i);
      String str2 = localMarker2.getText().toLowerCase();
      String str3 = paramString.toLowerCase();
      if (str2.indexOf(str3) != -1)
        markerList.add(localMarker2);
      i += 1;
      break;
      label170: DataHandler localDataHandler = dataView.jLayer;
      ArrayList localArrayList = markerList;
      localDataHandler.markers = localArrayList;
      dataView.frozen = 1;
      finish();
      Intent localIntent = new Intent(this, MixMap.class);
      startActivityForResult(localIntent, 42);
    }
  }

  public static DataView getDataView()
  {
    return dataView;
  }

  public static Context getMapContext()
  {
    return thisContext;
  }

  @Signature({"()", "Ljava/util/List", "<", "Lcom/google/android/maps/Overlay;", ">;"})
  public static List getMapOverlayList()
  {
    return mapOverlays;
  }

  @Signature({"()", "Ljava/util/ArrayList", "<", "LJgun/CafeFinder/org/mixare/Marker;", ">;"})
  public static ArrayList getMarkerList()
  {
    return markerList;
  }

  public static MixContext getMixContext()
  {
    return ctx;
  }

  private void handleIntent(Intent paramIntent)
  {
    String str1 = paramIntent.getAction();
    if ("android.intent.action.SEARCH".equals(str1))
    {
      String str2 = paramIntent.getStringExtra("query");
      doMixSearch(str2);
    }
  }

  public static void setDataView(DataView paramDataView)
  {
    dataView = paramDataView;
  }

  public static void setMapContext(Context paramContext)
  {
    thisContext = paramContext;
  }

  @Signature({"(", "Ljava/util/ArrayList", "<", "LJgun/CafeFinder/org/mixare/Marker;", ">;)V"})
  public static void setMarkerList(ArrayList paramArrayList)
  {
    markerList = paramArrayList;
  }

  public static void setMixContext(MixContext paramMixContext)
  {
    ctx = paramMixContext;
  }

  public static void startPointMsg()
  {
    Context localContext = getMapContext();
    int i = getDataView().MAP_CURRENT_LOCATION_CLICK;
    Toast.makeText(localContext, i, 1).show();
  }

  public void createListView()
  {
    MixListView.setList(2);
    if (dataView.jLayer.markers.size() > 0)
    {
      Intent localIntent = new Intent(this, MixListView.class);
      startActivityForResult(localIntent, 42);
    }
    while (true)
    {
      return;
      int i = dataView.EMPTY_LIST_STRING_ID;
      Toast.makeText(this, i, 1).show();
    }
  }

  public void createOverlay()
  {
    mapOverlays = this.mapView.getOverlays();
    Drawable localDrawable1 = getResources().getDrawable(2130837555);
    this.drawable = localDrawable1;
    Drawable localDrawable2 = this.drawable;
    MixOverlay localMixOverlay1 = new MixOverlay(localDrawable2);
    int i = 0;
    while (true)
    {
      int j = markerList.size();
      if (i >= j)
      {
        Drawable localDrawable3 = getResources().getDrawable(2130837576);
        this.drawable = localDrawable3;
        Drawable localDrawable4 = this.drawable;
        MixOverlay localMixOverlay2 = new MixOverlay(localDrawable4);
        GeoPoint localGeoPoint1 = startPoint;
        OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, "Your Position", "");
        localMixOverlay2.addOverlay(localOverlayItem1);
        mapOverlays.add(localMixOverlay2);
        return;
      }
      int k = (int)(((Marker)markerList.get(i)).mGeoLoc.getLatitude() * 1000000.0D);
      int m = (int)(((Marker)markerList.get(i)).mGeoLoc.getLongitude() * 1000000.0D);
      GeoPoint localGeoPoint2 = new GeoPoint(k, m);
      OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, "", "");
      localMixOverlay1.addOverlay(localOverlayItem2);
      mapOverlays.add(localMixOverlay1);
      i += 1;
    }
  }

  protected boolean isRouteDisplayed()
  {
    return false;
  }

  public void onCreate(Bundle paramBundle)
  {
    onCreate(paramBundle);
    dataView = MixView.view;
    ctx = MixView.ctx;
    setMarkerList(dataView.jLayer.markers);
    map = this;
    setMapContext(this);
    MapView localMapView1 = new MapView(this, "0bynx7meN9jlSdHQ4-lK_Vzsw-T82UVibnI0nCA");
    this.mapView = localMapView1;
    this.mapView.setBuiltInZoomControls(1);
    this.mapView.setClickable(1);
    this.mapView.setSatellite(1);
    this.mapView.setEnabled(1);
    MapView localMapView2 = this.mapView;
    setContentView(localMapView2);
    setStartPoint();
    createOverlay();
    if (dataView.frozen)
    {
      searchNotificationTxt = new TextView(this);
      TextView localTextView1 = searchNotificationTxt;
      int i = MixView.dWindow.getWidth();
      localTextView1.setWidth(i);
      searchNotificationTxt.setPadding(10, 2, 0, 0);
      TextView localTextView2 = searchNotificationTxt;
      int j = dataView.SEARCH_ACTIVE_1;
      String str1 = String.valueOf(getString(j));
      StringBuilder localStringBuilder1 = new StringBuilder(str1).append(" ");
      String str2 = MixListView.getDataSource();
      StringBuilder localStringBuilder2 = localStringBuilder1.append(str2);
      int k = dataView.SEARCH_ACTIVE_2;
      String str3 = getString(k);
      String str4 = str3;
      localTextView2.setText(str4);
      searchNotificationTxt.setBackgroundColor(-12303292);
      searchNotificationTxt.setTextColor(-1);
      searchNotificationTxt.setOnTouchListener(this);
      TextView localTextView3 = searchNotificationTxt;
      ViewGroup.LayoutParams localLayoutParams = new ViewGroup.LayoutParams(-1, -1);
      addContentView(localTextView3, localLayoutParams);
    }
  }

  public boolean onCreateOptionsMenu(Menu paramMenu)
  {
    int i = dataView.MAP_MENU_NORMAL_MODE;
    String str1 = getString(i);
    MenuItem localMenuItem1 = paramMenu.add(1, 1, 1, str1);
    int j = 1 + 1;
    int k = 1 + 1;
    int m = dataView.MAP_MENU_SATELLITE_MODE;
    String str2 = getString(m);
    MenuItem localMenuItem2 = paramMenu.add(1, j, k, str2);
    int n = 1 + 2;
    int i1 = 1 + 2;
    int i2 = dataView.MAP_MY_LOCATION;
    String str3 = getString(i2);
    MenuItem localMenuItem3 = paramMenu.add(1, n, i1, str3);
    int i3 = 1 + 3;
    int i4 = 1 + 3;
    int i5 = dataView.MENU_ITEM_2;
    String str4 = getString(i5);
    MenuItem localMenuItem4 = paramMenu.add(1, i3, i4, str4);
    int i6 = 1 + 4;
    int i7 = 1 + 4;
    int i8 = dataView.MENU_CAM_MODE;
    String str5 = getString(i8);
    MenuItem localMenuItem5 = paramMenu.add(1, i6, i7, str5);
    localMenuItem1.setIcon(17301567);
    localMenuItem2.setIcon(17301571);
    localMenuItem3.setIcon(17301575);
    localMenuItem4.setIcon(17301591);
    localMenuItem5.setIcon(17301559);
    return true;
  }

  public void onNewIntent(Intent paramIntent)
  {
    setIntent(paramIntent);
    handleIntent(paramIntent);
  }

  public boolean onOptionsItemSelected(MenuItem paramMenuItem)
  {
    switch (paramMenuItem.getItemId())
    {
    default:
    case 1:
    case 2:
    case 3:
    case 4:
    case 5:
    }
    while (true)
    {
      return true;
      this.mapView.setSatellite(0);
      continue;
      this.mapView.setSatellite(1);
      continue;
      setStartPoint();
      continue;
      createListView();
      finish();
      continue;
      finish();
    }
  }

  public boolean onTouch(View paramView, MotionEvent paramMotionEvent)
  {
    dataView.frozen = 0;
    DataHandler localDataHandler = dataView.jLayer;
    ArrayList localArrayList = originalMarkerList;
    localDataHandler.markers = localArrayList;
    searchNotificationTxt.setVisibility(4);
    searchNotificationTxt = null;
    finish();
    Intent localIntent = new Intent(this, MixMap.class);
    startActivityForResult(localIntent, 42);
    return false;
  }

  public void setStartPoint()
  {
    Location localLocation = ctx.getCurrentLocation();
    float f1 = localLocation.getLatitude() * 0.0F;
    float f2 = localLocation.getLongitude() * 0.0F;
    MapController localMapController = this.mapView.getController();
    int i = (int)f1;
    int j = (int)f2;
    startPoint = new GeoPoint(i, j);
    GeoPoint localGeoPoint = startPoint;
    localMapController.setCenter(localGeoPoint);
    localMapController.setZoom(14);
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     Jgun.CafeFinder.org.mixare.MixMap
 * JD-Core Version:    0.6.0
 */