package com.cauly.android.ad;

import java.io.IOException;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.Socket;
import java.net.UnknownHostException;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLSocket;
import javax.net.ssl.SSLSocketFactory;
import javax.net.ssl.TrustManager;
import org.apache.http.conn.ConnectTimeoutException;
import org.apache.http.conn.scheme.LayeredSocketFactory;
import org.apache.http.conn.scheme.SocketFactory;
import org.apache.http.params.HttpConnectionParams;
import org.apache.http.params.HttpParams;

public class EasySSLSocketFactory
  implements SocketFactory, LayeredSocketFactory
{
  private SSLContext sslcontext = null;

  private static SSLContext createEasySSLContext()
    throws IOException
  {
    String str;
    try
    {
      SSLContext localSSLContext = SSLContext.getInstance("TLS");
      TrustManager[] arrayOfTrustManager = new TrustManager[1];
      EasyX509TrustManager localEasyX509TrustManager = new EasyX509TrustManager(null);
      arrayOfTrustManager[0] = localEasyX509TrustManager;
      localSSLContext.init(null, arrayOfTrustManager, null);
      return localSSLContext;
    }
    catch (Exception localException)
    {
      str = localException.getMessage();
    }
    throw new IOException(str);
  }

  private SSLContext getSSLContext()
    throws IOException
  {
    if (this.sslcontext == null)
    {
      SSLContext localSSLContext = createEasySSLContext();
      this.sslcontext = localSSLContext;
    }
    return this.sslcontext;
  }

  public Socket connectSocket(Socket paramSocket, String paramString, int paramInt1, InetAddress paramInetAddress, int paramInt2, HttpParams paramHttpParams)
    throws IOException, UnknownHostException, ConnectTimeoutException
  {
    int i = HttpConnectionParams.getConnectionTimeout(paramHttpParams);
    int j = HttpConnectionParams.getSoTimeout(paramHttpParams);
    InetSocketAddress localInetSocketAddress1 = new InetSocketAddress(paramString, paramInt1);
    if (paramSocket != null);
    for (Object localObject = paramSocket; ; localObject = createSocket())
    {
      localObject = (SSLSocket)localObject;
      if ((paramInetAddress != null) || (paramInt2 > 0))
      {
        if (paramInt2 < 0)
          paramInt2 = 0;
        InetSocketAddress localInetSocketAddress2 = new InetSocketAddress(paramInetAddress, paramInt2);
        ((SSLSocket)localObject).bind(localInetSocketAddress2);
      }
      ((SSLSocket)localObject).connect(localInetSocketAddress1, i);
      ((SSLSocket)localObject).setSoTimeout(j);
      return localObject;
    }
  }

  public Socket createSocket()
    throws IOException
  {
    return getSSLContext().getSocketFactory().createSocket();
  }

  public Socket createSocket(Socket paramSocket, String paramString, int paramInt, boolean paramBoolean)
    throws IOException, UnknownHostException
  {
    return getSSLContext().getSocketFactory().createSocket(paramSocket, paramString, paramInt, paramBoolean);
  }

  public boolean equals(Object paramObject)
  {
    if ((paramObject != null) && (paramObject.getClass().equals(EasySSLSocketFactory.class)));
    for (int i = 1; ; i = 0)
      return i;
  }

  public int hashCode()
  {
    return EasySSLSocketFactory.class.hashCode();
  }

  public boolean isSecure(Socket paramSocket)
    throws IllegalArgumentException
  {
    return true;
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     com.cauly.android.ad.EasySSLSocketFactory
 * JD-Core Version:    0.6.0
 */