package net.daum.mobilead.protocol;

import android.os.Handler;
import android.os.Message;
import android.util.Log;
import java.util.HashMap;
import net.daum.mobilead.AdConfig;
import net.daum.mobilead.MobileAdView;

public class AdRefreshTask
{
  private static final int MSG_ERROR = 0;
  private static final int MSG_MOBILEAD = 1;
  private long adRefreshTime = 0L;
  private MobileAdView adView = null;
  private Thread executor;
  private Handler handler;
  private RefreshState refreshState;
  private AdUpdater updater = null;

  public AdRefreshTask(MobileAdView paramMobileAdView, AdUpdater paramAdUpdater)
  {
    RefreshState localRefreshState = RefreshState.READY;
    this.refreshState = localRefreshState;
    this.handler = null;
    AdRefreshTask.1 local1 = new AdRefreshTask.1(this);
    Thread localThread = new Thread(local1, "MobileAdUpdater");
    this.executor = localThread;
    this.adView = paramMobileAdView;
    this.updater = paramAdUpdater;
    AdRefreshTask.2 local2 = new AdRefreshTask.2(this);
    this.handler = local2;
  }

  private AdUpdater getUpdater()
  {
    return this.updater;
  }

  private void refreshAd(Handler paramHandler, MobileAdView paramMobileAdView)
  {
    AdProtocolHandler localAdProtocolHandler = new AdProtocolHandler();
    try
    {
      StringBuilder localStringBuilder1 = new StringBuilder();
      String str1 = AdCommon.get("protocol");
      StringBuilder localStringBuilder2 = localStringBuilder1.append(str1);
      String str2 = AdCommon.get("host");
      StringBuilder localStringBuilder3 = localStringBuilder2.append(str2);
      String str3 = AdCommon.get("path");
      String str4 = str3;
      HashMap localHashMap = AdConfig.makeAdParams(paramMobileAdView);
      long l1 = System.currentTimeMillis();
      if (this.adRefreshTime == 0L)
        localHashMap.put("ft", "y");
      while (true)
      {
        this.adRefreshTime = l1;
        String str5 = paramMobileAdView.getUserAgent();
        MobileAd localMobileAd = localAdProtocolHandler.requestAd(str4, localHashMap, str5);
        System.currentTimeMillis();
        Message localMessage1 = paramHandler.obtainMessage(1, localMobileAd);
        paramHandler.sendMessage(localMessage1);
        return;
        long l2 = this.adRefreshTime;
        Integer localInteger = Integer.valueOf((int)(l1 - l2) / 1000);
        localHashMap.put("rt", localInteger);
      }
    }
    catch (MobileAdSDKException localMobileAdSDKException)
    {
      while (true)
      {
        MobileAdSDKError localMobileAdSDKError1 = MobileAdSDKError.AD_DOWNLOAD_ERROR_NOAD;
        MobileAdSDKError localMobileAdSDKError2 = localMobileAdSDKException.getSdkError();
        if (localMobileAdSDKError1 != localMobileAdSDKError2)
          Log.e("AdRefreshTask", "SDKexception", localMobileAdSDKException);
        Message localMessage2 = paramHandler.obtainMessage(0, localMobileAdSDKException);
        paramHandler.sendMessage(localMessage2);
      }
    }
    catch (Throwable localThrowable)
    {
      while (true)
      {
        Log.e("AdRefreshTask", "exception", localThrowable);
        Message localMessage3 = paramHandler.obtainMessage(0, localThrowable);
        paramHandler.sendMessage(localMessage3);
      }
    }
  }

  private void resumeRefresh()
  {
    RefreshState localRefreshState1 = RefreshState.PAUSE;
    RefreshState localRefreshState2 = this.refreshState;
    if (localRefreshState1 == localRefreshState2)
    {
      RefreshState localRefreshState3 = RefreshState.LIVE;
      this.refreshState = localRefreshState3;
      return;
    }
    throw new IllegalStateException("Ad Refresh state is not PAUSE.");
  }

  private void startRefresh()
  {
    RefreshState localRefreshState1 = RefreshState.READY;
    RefreshState localRefreshState2 = this.refreshState;
    if (localRefreshState1 == localRefreshState2)
    {
      RefreshState localRefreshState3 = RefreshState.LIVE;
      this.refreshState = localRefreshState3;
      this.executor.start();
      return;
    }
    throw new IllegalStateException("Ad Refresh state is not READY.");
  }

  public void destroy()
  {
    RefreshState localRefreshState = RefreshState.DEAD;
    this.refreshState = localRefreshState;
    if ((this.executor != null) && (this.executor.isAlive()))
      this.executor.interrupt();
    this.updater = null;
    this.adView = null;
  }

  public void pause()
  {
    RefreshState localRefreshState1 = RefreshState.LIVE;
    RefreshState localRefreshState2 = this.refreshState;
    if (localRefreshState1 == localRefreshState2)
    {
      RefreshState localRefreshState3 = RefreshState.PAUSE;
      this.refreshState = localRefreshState3;
    }
  }

  public void resume()
  {
    RefreshState localRefreshState1 = RefreshState.READY;
    RefreshState localRefreshState2 = this.refreshState;
    if (localRefreshState1 == localRefreshState2)
      startRefresh();
    RefreshState localRefreshState5;
    RefreshState localRefreshState6;
    do
    {
      while (true)
      {
        return;
        RefreshState localRefreshState3 = RefreshState.PAUSE;
        RefreshState localRefreshState4 = this.refreshState;
        if (localRefreshState3 != localRefreshState4)
          break;
        resumeRefresh();
      }
      localRefreshState5 = RefreshState.DEAD;
      localRefreshState6 = this.refreshState;
    }
    while (localRefreshState5 != localRefreshState6);
    throw new IllegalStateException("Ad Refresh state is already dead.");
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     net.daum.mobilead.protocol.AdRefreshTask
 * JD-Core Version:    0.6.0
 */